
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用 vmstat 命令确定内存使用情况 / iVAN</title>

    <meta name="description" content="使用 vmstat 命令确定内存使用情况 vmstat 命令总结了系统中所有进程使用的总活动虚拟内存,以及空闲列表上实内存页帧的数量. 活动的虚拟内存定义为虚拟内存中实际可以得到的工作段页面的数量.这个数字可能大于机器中的实际页帧数,因为一些活动的虚拟内存页可能已写出到调页空间中. 当确定系统内存是否短缺或者是否需要进行某种内存调整时,在设定的时间间隔内运行 vmstat 命令,并检查结果报告中的 pi 和 po 列.这两列表明了每秒调页空间页面调入的数量和每秒调页空间页面调出的数量.如果这些值经常为非零值,说明可能存在内存瓶颈.偶尔出">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用 vmstat 命令确定内存使用情况</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>vmstat 命令总结了系统中所有进程使用的总<em>活动</em>虚拟内存，以及空闲列表上实内存页帧的数量。</p>
<p>活动的虚拟内存定义为虚拟内存中实际可以得到的工作段页面的数量。这个数字可能大于机器中的实际页帧数，因为一些活动的虚拟内存页可能已写出到调页空间中。</p>
<p>当确定系统内存是否短缺或者是否需要进行某种内存调整时，在设定的时间间隔内运行 vmstat 命令，并检查结果报告中的 <em>pi</em> 和 <em>po</em> 列。这两列表明了每秒调页空间页面调入的数量和每秒调页空间页面调出的数量。如果这些值经常为非零值，说明可能存在内存瓶颈。偶尔出现的非零值不用在意，因为页面调度是虚拟内存的主要原理。
<pre># vmstat 2 10
kthr     memory             page              faults        cpu
----- ----------- ------------------------ ------------ -----------
 r  b   avm   fre  re  pi  po  fr   sr  cy  in   sy  cs us sy id wa
 1  3 113726   124   0  14   6 151  600   0 521 5533 816 23 13  7 57
 0  3 113643   346   0   2  14 208  690   0 585 2201 866 16  9  2 73
 0  3 113659   135   0   2   2 108  323   0 516 1563 797 25  7  2 66
 0  2 113661   122   0   3   2 120  375   0 527 1622 871 13  7  2 79
 0  3 113662   128   0  10   3 134  432   0 644 1434 948 22  7  4 67
 1  5 113858   238   0  35   1 146  422   0 599 5103 903 40 16  0 44
 0  3 113969   127   0   5  10 153  529   0 565 2006 823 19  8  3 70
 0  3 113983   125   0  33   5 153  424   0 559 2165 921 25  8  4 63
 0  3 113682   121   0  20   9 154  470   0 608 1569 1007 15  8  0 77
 0  4 113701   124   0   3  29 228  635   0 674 1730 1086 18  9  0 73</pre>
<p>在上述示例输出中，请注意输出中的较高的 I/O 等待率以及阻塞队列中的线程数。其他 I/O 活动可能会造成 I/O 等待，但是在这种特殊情况下，I/O 等待最大可能是由于与页面空间之间的页面调进调出造成的。</p>
<p>要察看系统的 VMM 是否有性能问题，请检查 <em>memory</em> 和 <em>page</em> 下的列：</p>
<ul>
<li><strong>memory</strong><br />提供了实际和虚拟内存的信息。</p>
<ul>
<li><strong>avm</strong><br />活动虚拟内存（avm）列代表在收集 vmstat 样本时存在的活动虚拟内存页数。缺省策略为延迟页面空间策略。在该策略下，avm 的值可能比使用的调页空间页面数要高。avm 统计信息并不包含文件页面。</li>
<li><strong>fre</strong><br />fre 列显示出空闲内存页面的平均数量。一个页面是实内存中的 4 KB 的区域。系统维护内存页面的缓冲区，称为空闲列表。当 VMM 需要空间时可以很方便地访问此空闲列表。VMM 保留在空闲列表上的最少页数由 vmo 命令的 minfree 参数决定。
<p>当一个应用程序终止时，它所有的工作页面会立即返回给空闲列表。然而，它的永久页面（或文件）仍然在 RAM 中，不会添加回空闲列表中，直到由 VMM 窃取用于其他程序为止。如果删除相应的文件，也会释放其永久页面。</p>
<p>由于这个原因，<em>fre</em> 的值可能不表示进程可以方便使用所有实内存。如果需要页帧，那与已终止应用程序相关的永久页面将会最先移交给另一个程序。</p>
<p>如果 <em>fre</em> 的值远大于 maxfree 的值，那么不太可能出现<em>系统颠簸</em>。系统颠簸意味着系统一直在进行页面调进调出。然而，如果系统正在经历颠簸，可以肯定 <em>fre</em> 值很小。</li>
</ul>
</li>
<li><strong>page</strong><br />关于缺页故障和页面调度活动的信息。它们是一段时间间隔的平均值并以秒为单位给出。
<ul>
<li><strong>re</strong><br />
注： 这一栏当前不受支持。</li>
<li><strong>pi</strong><br />pi 列详细描述了从调页空间调入的页数。调页空间是驻留在磁盘上的虚拟内存的一部分。当内存过量使用时，它用作溢出。调页空间由用于存储从实内存中窃取到的工作组页面的逻辑卷组成。当进程访问一个窃取页时，产生了一个缺页故障，这一页必须从调页空间读入内存。
<p>因为硬件配置、软件和应用程序的不同，没有绝对的数字可以用以参考。这个字段作为调页空间活动的关键指示符。如果发生页面调进，该页面就一定有一个较早的页面调出。在内存受限的环境下也有可能每一次页面调进会迫使另一个页面被窃取而页面调出。</li>
<li><strong>po</strong><br /><em>po</em> 一栏显示了调出到调页空间的页面数（速率）。无论什么时候窃取工作存储器的一页，如果它仍未驻留在调页空间中或已被修改，那它会被写入调页空间。如果不被再次访问，它会留在页面调度设备中直到进程终止或放弃空间。如果包含在出故障页面中的后续地址引用导致缺页故障，那么这些页面将会由系统个别调进。当一个进程正常终止，任何分配给该进程的调页空间将被释放。如果系统读入大量的永久页面，您会发觉 <em>po</em> 栏里增加了而在 <em>pi</em> 栏里没有相应增加。这并不一定会造成系统颠簸，但可以保证对于应用程序数据存取模式的调查。</li>
<li><strong>fr</strong><br />在一定时间间隔内根据页面替换算法每秒所释放的页数。当 VMM 页面替换例程扫描页面帧表（Page Frame. Table，PFT）时，它使用一些条件选取要窃取的页面以插入到可用内存帧的空闲列表中。该条件包含了两种页面，工作（计算的）和文件（永久的）页面。就因为页面已经释放，并不意味着发生了任何 I/O。例如，如果某个永久存储（文件）页面尚未修改，它就不会被写回磁盘。如果 I/O 不是必需的，那么要求最小的系统资源来释放页面。</li>
<li><strong>sr</strong><br />在一定时间间隔内根据页面替换算法每秒所检查的页面数。页面替换算法在可以窃取足够的页面以满足页面替换线程的需要之前可能不得不扫描许多页面帧。<strong>sr</strong> 值比 <strong>fr</strong>值高得越多，页面替换算法查找要窃取的合格页面就越困难。</li>
<li><strong>cy</strong><br />时钟算法中每秒的周期数。VMM 使用一种叫时钟算法的技术来选择要替换的页面。这种技术利用了每一个页面的访问位来指示哪些页最近曾被使用（访问）过。调用页面窃取程序例程时，它遍历整个 PFT，检查每一页的访问位。
<p><em>cy</em> 一栏显示了每秒页面替换代码扫描了 PFT 多少次。因为插入空闲列表可以不需要完全扫描 PFT，并且因为所有的 vmstat 字段报告为整数，这一字段通常为 0。</li>
</ul>
</li>
</ul>
<p>确定系统的适当 RAM 数量的一种方法是查看 vmstat 命令报告的 <em>avm</em> 的最大值。将该数字乘以 4K 得到字节数，然后将其与系统的 RAM 字节数比较。理想情况下，<em>avm</em> 应该小于总 RAM。如果不是，可能会出现一些虚拟内存页面调度量。有多少页面调度发生取决于两个值之间的差值。记住，虚拟内存的概念是提供给我们寻址大于实内存容量的能力（一些在 RAM 内存中，而另一些在调页空间中）。但是如果虚拟内存远大于实内存，可能造成过度的页面调度，从而导致延时。如果 <em>avm</em> 小于 RAM，那么当 RAM 中填满文件页时就会引起调页空间的页面调度。这种情况下，调整 minperm、maxperm 和 maxclient 的值可以减少调页空间的页面调度量。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 17:36:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/ram/" title="RAM">RAM</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用 vmstat 命令确定内存使用情况的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEle5p.html" rel="bookmark">如何观察进程的内存占用情况</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述       想必在linux上写过程序的同学都有分析进程占用多少内存的经历,或者被问到这样的问题--你的程序在运行时占用了多少内存(物理内存)?通常我们可以通过top命令查看进程占用了多少内存.这里我们可以看到VIRT.RES和SHR三个重要的指标,他们分别代表什么意思呢?这是本文需要跟大家一起探讨的问题.当然如果更加深入一点,你可能会问进程所占用的那些物理内存都用在了哪些地方?这时候top命令可能不能给到你你所想要的答案了,不过我们可以分析proc文件系统提供的smaps文件,这个文件详			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydPL5b.html" rel="bookmark">free：一个在Linux中检查内存使用情况的标准命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们都知道, IT 基础设施方面的大多数服务器(包括世界顶级的超级计算机)都运行在 Linux 平台上,因为和其他操作系统相比, Linux 更加灵活.有的操作系统对于一些微乎其微的改动和补丁更新都需要重启,但是 Linux 不需要,只有对于一些关键补丁的更新, Linux 才会需要重启. Linux 系统管理员面临的一大挑战是如何在没有任何停机时间的情况下维护系统的良好运行.管理内存使用是 Linux 管理员又一个具有挑战性的任务.free 是 Linux 中一个标准的并且被广泛使用的命令,它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZYAEp.html" rel="bookmark">检测 Linux 内存使用情况的 free 命令的10个例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				检测 Linux 内存使用情况的 free 命令的10个例子 Linux是最有名的开源操作系统之一,它拥有着极其巨大的命令集.确定物理内存和交换内存所有可用空间的最重要.也是唯一的方法是使用&quot;free&quot;命令. Linux &quot;free&quot;命令可以给出类Linux/Unix操作系统中物理内存和交换内存的总使用量.可用量及内核使用的缓冲区情况. 10 Linux Free Command Examples 这篇文章提供一些各种参数选项的&quot;free&quot;命令,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLYN9vz.html" rel="bookmark">Linux查看当前CPU与内存使用情况命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一,Linux下内存查看命令free详解: Linux中可以使用free -m 来查看当前内存使用情况,m参数表示以MB的形式来显示,示例: $ free -m              total       used       free     shared    buffers     cached Mem:         1002        769        232          0         62        421 -/+ buffers/cache:    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WnXjb.html" rel="bookmark">linux vmstat命令详解和使用实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  他是对系统的整体情况进行统计,不足之处是无法对某个进程进行深入分析.vmstat 工具提供了一种低开销的系统性能观察方式.因为 vmstat 本身就是低开销工具,在非常高负荷的服务器上,你需要查看并监控系统的健康情况,在控制窗口还是能够使用vmstat 输出结果.在学习vmstat命令前,我们先了解一下Linux系统中关于物理内存和虚拟内存相关信息. 物理内存和虚拟内存区别: 我们知道,直接从物理内存读写数据要比从硬盘读写数据要快的多,因此,我们希望所有数据的读取和写入都在内存完成,而内存是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN4eWM.html" rel="bookmark">Linux vmstat命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vmstat命令是最常见的Linux/Unix监控工具,可以展现给定时间间隔的服务器的状态值,包括服务器的CPU使用率,内存使用,虚拟内存交换情况,IO读写情况.这个命令是我查看Linux/Unix最喜爱的命令,一个是Linux/Unix都支持,二是相比top,我可以看到整个机器的CPU,内存,IO的使用情况,而不是单单看到各个进程的CPU使用率和内存使用率(使用场景不一样). vmstat命令:  用来获得有关进程.虚存.页面交换空间及 CPU活动的信息.这些信息反映了系统的负载情况 vmst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydwDPb.html" rel="bookmark">AIX的vmstat命令详解&lpar;原创&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vmstat概述  vmstat 命令报告关于内核线程.虚拟内存.磁盘.陷阱和 CPU 活动的统计信息.由 vmstat 命令生成的报告可以用于平衡系统负载活动.系统范围内的这些统计信息(所有的处理器中)都计算出以百分比表示的平均值,或者计算其总和. Interval 参数指定每个报告之间的时间量(以秒计).第一个报告包含系统启动后时间的统计信息.后续报告包含自从前一个报告起的时间间隔过程中所收集的统计信息.如果没有指定 Interval 参数,vmstat 命令生成单个报告然后退出.Count			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyGnNz.html" rel="bookmark">Linux vmstat命令实战详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vmstat命令是最常见的Linux/Unix监控工具,可以展现给定时间间隔的服务器的状态值,包括服务器的CPU使用率,内存使用,虚拟内存交换情况,IO读写情况.这个命令是我查看Linux/Unix最喜爱的命令,一个是Linux/Unix都支持,二是相比top,我可以看到整个机器的CPU,内存,IO的使用情况,而不是单单看到各个进程的CPU使用率和内存使用率(使用场景不一样). 一般vmstat工具的使用是通过两个数字参数来完成的,第一个参数是采样的时间间隔数,单位是秒,第二个参数是采样的次数,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlL2NVM.html" rel="bookmark">Linux性能测试 vmstat命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vmstat命令是最常见的Linux/Unix监控工具,可以展现给定时间间隔的服务器的状态值,包括服务器的CPU使用率,内存使用,虚拟内存交换情况,IO读写情况.这个命令是我查看Linux/Unix最喜爱的命令,一个是Linux/Unix都支持,二是相比top,我可以看到整个机器的CPU,内存,IO的使用情况,而不是单单看到各个进程的CPU使用率和内存使用率(使用场景不一样). NAME vmstat - Report virtual memory statistics SYNOPSIS vms			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXBeAb.html" rel="bookmark" class="title">为什么诈骗短信看上去那么弱智？</a>
					<div>
						XX集团举行三十周年大庆典,您的手机号码获得了20万大奖. 爸我在外嫖娼被抓手机被没收,快汇5万保释费到XX. 相信用过手机的人都收到过类似的短信,你有没有这样的疑问:这些已经被媒体曝光成千上万次骗术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgrROb.html" rel="bookmark" class="title">网站打不开导致首页被K的补救方法</a>
					<div>
						最近几个月里经常看见有人如此评价:seo没什么技术含量,勤奋才是王道.这评价并非没什么道理,但也不完全正确.虽然说现在已经出现了许多seo培训机构,站长们对seo已经不再陌生,但seo培训学到的更多是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaOAwp.html" rel="bookmark" class="title">真草根PK伪专业 网站建设及优化核心方法在哪里</a>
					<div>
						对于中小企业,尤其是十人二十人的小公司甚至微型公司.在日趋高涨的搜索引擎该竞价广告面前,更倾向于通过辛苦努力,不断丰富网站内容或建设链接,获得位置更靠前的自然排名.更多的非网站建设公司,选择了外包的形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw60Wp.html" rel="bookmark" class="title">DELPHI DATASNAP 2010入门操作&lpar;2&rpar;不写一行代码，绿色三层我也行</a>
					<div>
						没有一行代码的三层,功能肯定非常的简单,但是,再简单,我们也三层了,学习一 个东西,需要从入门开始就有兴趣,如果入门就给吓怕了,哪么后来何来信心学习呢? 现在就让我们开始吧,不只是没有华丽的词语,而是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjRW6p.html" rel="bookmark" class="title">Spring事务探索</a>
					<div>
						Spring自建事务管理模块.而且这个事务管理是一个抽象设计,可以应用到很多场合,包括普通的DataSource,jta,jms和hibernate上. 要正确使用spring的事务,首先需要了解sp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4jEOp.html" rel="bookmark" class="title">Visual C&num; 2005快速入门之声明方法</a>
					<div>
						方法(Method)是一个已命名的语句集.如果以前使用过其他编程语言,如C或Visual Basic等,就可以将方法视为函数或者子程序相似的东西.每个方法都有一个名称和一个主体.方法名应该是一个有意义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg34g1M.html" rel="bookmark" class="title">PS调出金秋色调照片</a>
					<div>
						教程主要使用Photoshop调出夏日金黄外景美女照片,由于照片是网络图片,所以可能会有些水印,用常用的工具对其进行简单处理即可.照片颜色区分比较明显,所以我们抓住色彩方向,处理起来也是非常容易的.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArqXAp.html" rel="bookmark" class="title">Win7旗舰版系统中通过修改host文件达到网址转向或屏蔽指定网址的技巧</a>
					<div>
						  1.首先我们在win7系统下打开C:windowssystem32driversetc文件夹,然后找到host文件; 2.接着鼠标右击host文件,选择用&quot;记事本&quot;来打开,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWRV7b.html" rel="bookmark" class="title">error&colon;00000000&colon;lib&lpar;0&rpar;&colon;func&lpar;0&rpar;&colon;reason&lpar;0&rpar;怎么解决？</a>
					<div>
						问题描述 error:00000000:lib(0):func(0):reason(0)怎么解决? ssl_accept()函数 error:00000000:lib(0):func(0):reaso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNlnQM.html" rel="bookmark" class="title">《科技之巅2》序&mdash;&mdash;机器智能数据智能：工具之王</a>
					<div>
						&quot;凡是过去,皆为序曲.&quot;--莎士比亚 通过不断发明工具,人类科技指数级进化.语言汇聚原始部落,马镫开启了中世纪的欧洲文明,&quot;高产种子&quot;引发人口爆炸,蒸汽机创造工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo7dGb.html" rel="bookmark" class="title">深入浅出jackrabbit之十四 分布式文档提取</a>
					<div>
						/** *author:ahuaxuan *2009-09-24 */ 前言: 本来针对jackrabbit这一系列的文章其实都是有顺序的,比如先讲索引的创建,然后讲索引的查询,等等,但是无奈总是有些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6rEjz.html" rel="bookmark" class="title">中文方块-linux中文显示方块问题</a>
					<div>
						问题描述 linux中文显示方块问题 平台:CentOS 6.4用basic server的方式安装,在tty1的环境下使用,把语系改为zh_CN.UTF-8后,所有中文的地方都显示为方块.网上说是中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z2Bqp.html" rel="bookmark" class="title">为什么要用rmi代理调用远程方法</a>
					<div>
						问题描述 为什么要用rmi代理调用远程方法 为什么要用rmi代理调用远程方法,为什么不直接反序列化远程对象直接调用方法. 求解?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKLkVb.html" rel="bookmark" class="title">扒一扒Kubernetes的调度策略</a>
					<div>
						Docker是一个开源的应用容器引擎,让开发者可以打包应用以及依赖包到一个可移植的容器中,然后发布到Linux机器上.容器使用沙箱机制,相互之间不会有任何接口,几乎没有性能开销,可以很容易地在主机和数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40JdNz.html" rel="bookmark" class="title">ava jacob-Java 通过jacob 怎么修改checkbox的值</a>
					<div>
						问题描述 Java 通过jacob 怎么修改checkbox的值 想要用JAVA操作Word模板,怎么修改其中checkbox复选框的值 解决方案 用poi这个库					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRJ6Zb.html" rel="bookmark" class="title">idea-启动时servlet不能初始化</a>
					<div>
						问题描述 启动时servlet不能初始化 就是成功运行了,页面空白,也不报错... 这是成功的,有servlet初始化的 然后这个就不能初始化 代码什么的都没错,不懂为什么,是不是idea这个IDE的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm3m6b.html" rel="bookmark" class="title">jQuery检测浏览器信息实现方法</a>
					<div>
						$(document).ready(function() { // target firefox 2 and above if ($.browser.mozilla &amp;&amp; $.brow ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZrmgM.html" rel="bookmark" class="title">《MATLAB智能算法超级学习手册》一一1&period;5 简单工程应用分析</a>
					<div>
						1.5 简单工程应用分析 MATLAB智能算法超级学习手册 MATLAB在工程上的应用较多,例如机械机构优化分析.机械控制.通信领域.数值计算等方面.MATLAB因其强大的数据处理能力,逐渐成为工程应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJlkRp.html" rel="bookmark" class="title">android studio map-Android studio Google map加载</a>
					<div>
						问题描述 Android studio Google map加载 通过Google playe service 用map activity模板加载地图,程序可以运行,但是不能加载地图,logcat提示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkLZ1M.html" rel="bookmark" class="title">增强型蓝牙 5 会让 BLE 成为物联网的最佳选择吗？</a>
					<div>
						低功耗蓝牙技术 (BLE) 已是绝大多数物联网 (IoT) 的主要通信标准.数天前,蓝牙技术联盟 (SIG) 公布了蓝牙 5 的一些信息.这是蓝牙技术联盟新产品的名称.该产品计划于 2016 年底或  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeokrwM.html" rel="bookmark" class="title">走向ASP&period;NET架构设计第七章：阶段总结，实践篇（上篇）</a>
					<div>
						示例说明 本篇的例子的是一个在线订票的服务系统.这个系统向外界暴露了一些可以通过Http协议访问的API,在这个订票服务下面允许任意多个隶属机构来使用服务API进行真正的售票活动.如下图所示: 就好比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqdBZp.html" rel="bookmark" class="title">javascript每日必学之封装&lowbar;javascript技巧</a>
					<div>
						朋友们好,前面我们已经讲解了有关javascript的基础,从今天的内容开始,我们就要开始讲有关封装的内容了,这里,我们就一点一点地接触到OOP(面向对象编程)了,如果作为一门语言使用的程序员连OOP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j3Ggp.html" rel="bookmark" class="title">What is Unicode&quest;</a>
					<div>
						  Unicode provides a unique number for every character,no matter what the platform,no matter what th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze01wxp.html" rel="bookmark" class="title">渗透工具-sqlmap用不了，安装完之后一直这样</a>
					<div>
						问题描述 sqlmap用不了,安装完之后一直这样 解决方案 你使用方法的错误python sqlmap.py -u &quot;http://www.candcpp.com&quot;,,类似这样用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWX1ez.html" rel="bookmark" class="title">夜火的建站历程及做SEO网站推广的一些反思</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨天看了lowkey写的我的SEO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ7A3M.html" rel="bookmark" class="title">中国移动苏州研发中心副总经理孙少陵：打造开源生态，助力数字化创新</a>
					<div>
						 2017年6月14日,由中国电子学会主办.至顶网等协办的第九届中国云计算大会在北京国家会议中心拉开大幕,中国移动苏州研发中心副总经理孙少陵出席本次大会,并做了&lt;打造开源生态,助力数字化创新&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqO83p.html" rel="bookmark" class="title">复制360、美图秀秀到国外，百万用户簇拥</a>
					<div>
						最近,有读者跟我们说,一个叫&quot;Toolwiz&quot;的团队正在通过将国内 360.美图秀秀等产品模式复制到国外,这么一个举动却引来了好几百万的用户.对此我联系到了这个新加坡的 3 人团队 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvdm1b.html" rel="bookmark" class="title">吴君如舒淇周韵：三个女人光芒四射</a>
					<div>
						就往年而言,像香港电影节这样的场合,通常都是男人们的天下,偶尔出现几个女人的身影,也只是起到锦上添花的点缀作用. 今年依然是一派阳刚之气,但女人们已经逐渐形成自己的光环.关于这点,开幕第一天汤唯的惊艳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen3Qxb.html" rel="bookmark" class="title">聚友网新微型博客网站主推&OpenCurlyDoubleQuote;小字报。&rdquo;</a>
					<div>
						比特网(Chinabyte)日前,聚友网在中国低调推出了一个域名为&quot;9911.com&quot;的新微型博客网站,该网站主推的产品为&quot;小字报.&quot; 比特网登陆发现,该站点已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeL7xAp.html" rel="bookmark" class="title">EMC容灾技术和业务连续性服务方案</a>
					<div>
						1 需求 某保险公司(以下简称客户)向EMC公司提出建立容灾方案的想法,由于客户对容灾技术了解不多,因此此方案是根据其异地存在办公设施的条件提出异地容灾的初步设想.容灾技术和方案的设计极其复杂,客户不 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
